# Content view

An action block that opens some content for viewing.

The fiber will proceed immediately without pause.

The URI can be anything that supports viewing, a content URI for a contact/calendar, an URL to open in the browser or the filename of an image or text file. This block is a similar to the App start block with a View action, except it tries to resolve the MIME type.

Note! The viewing app may not have permission to open the content, use the Content copy block to extract the content to external storage.

## Input arguments

- URI — URI or filename to view.
- MIME type — MIME type of the content, default is deduced from the URI if necessary.
- Package — package name of the app to use for viewing, default is system preferred app for the MIME type.
- Chooser — whether to allow a choice of viewing app, ignored if Package is set.